Skip to main content
PATCH
Update a Service Account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

service
string
required

Workspace Service ID

Body

application/json

UpdateWorkspaceServiceData

name
string

The display name of the service account

Maximum string length: 55
Example:

"Helpdesk Ticket Automation"

handle
string

The unique handle/identifier for the service account

Maximum string length: 55
Example:

"helpdesk"

expires_after_days
integer

Number of days that service tokens expire after creation

Example:

90

metadata
string[]

An array of business and context metadata about this service.

This is cosmetic only for system administrator reference and provides structured data in API responses

Example:

"['managed_by' => 'IT Team', 'service_level' => 'gold']"

metadata_key
string | null

A single metadata key to set or update within the existing metadata array

Maximum string length: 255
Example:

"support_contact"

metadata_value
string | null

The value to assign to the specified metadata_key

Maximum string length: 255

Response

WorkspaceServiceDetailedResponseData

id
string
required
Example:

"wssvc_01hq8xyzabc123def456ghi789"

state
enum<string>
required
Available options:
staged,
active,
expiring,
expired,
deactivated
environment
enum<string>
required
Available options:
demo,
sandbox,
development,
testing,
staging,
production,
unknown
name
string
required
handle
string
required
description
string | null
required
admin_notes
string | null
required
audit_notes
string | null
required
permission_notes
string | null
required
token_notes
string | null
required
ipv4_allowed
string[] | null
required
ipv6_allowed
string[] | null
required
timestamp
WorkspaceServiceNestedTimestampResponseData · object
required
count
WorkspaceServiceNestedCountResponseData · object
required
included
string[]
required
Minimum array length: 1

API hyperlinks related to the workspace service record